Page MenuHomeMiraheze

Incubator requests
Closed, ResolvedPublic

Description

Incubator Plus 2.0 has two requests:

  1. We'd like Extension:WikimediaIncubator activated on our wiki. We're frankly not entirely sure how everything is going to work on a non-WMF wiki, so we want to test some things out before we start importing content and inviting people to start contributing here. Because we're not sure how everything is going to work, we would ideally be able to turn this extension on or off at our Special:ManageWikiExtensions page. But you'll have to tell me if that's possible.
  2. See T3445. When we were adjusting the names of certain namespaces, we ended up in the odd position that both the "Project" namespace (ns 4) and a new namespace (ns 1824) now answer to the name "Incubator:". This has resulted in some very odd consequences. To illustrate those odd consequences, I have created two pages named "Incubator:(something)" so far: Incubator:Why? and Incubator:Community Portal. On both of those pages, a {{NAMESPACENUMBER}} call returns "1824". Now, when you go to Special:AllPages, if you choose the first "Incubator:" from the dropdown box, you are getting a query for ns 4, and it returns only "Incubator:Why?" If you choose the second "Incubator:" from the dropdown, you are getting a query for ns 1824, and it returns both pages. This is just plain strange. Please just get rid of ns 1824. As long as we can title pages in ns 4 as "Incubator:(something)" (and ns 5 as "Incubator talk:(something)", that's all we need. (PS: those two pages are quite expendable, if that makes eliminating NS 1824 easier.)

Event Timeline

StevenJ81 created this task.Aug 15 2018, 20:41

NS error fixed.

Thank you, @MacFan4000. Related to that, I had requested aliases: I: > Incubator: and IT: > Incubator talk:. Evidently (because they're not working now) those were pointing to NS 1824-1825. So they need to be rerouted to NS 4-5.

Paladox removed a project: Import.Aug 15 2018, 23:54

@StevenJ81 I've fixed the alias issue, and WikimediaIncubator has been installed

To get it to work correctly, we need you to give us the configuration you would like (https://www.mediawiki.org/wiki/Extension:WikimediaIncubator#Configuration)

@Reception123: Thanks. Let me work through the configuration question and get back to you over the next day or so.

AmandaCath triaged this task as Normal priority.Aug 16 2018, 15:38
StevenJ81 added a comment.EditedAug 17 2018, 20:12

Hi. We're still working through some of this. I can provide some answers now, and will confirm the rest early next week. (I have to warn you, though: we're not sure if some of these choices will end up breaking things. I may have to come back to you for further changes in some cases.)

  • $wmincProjects and $wmincSisterProjects: For us, all eight items will go into the first array, and the second array will be empty.
  • $wmincProjectSite: We'd like to go with 'Incubator Plus 2.0' and 'incplus'.
  • $wmincLangCodeLength and $wmincProjectDatabases: No changes from what is shown at MediaWiki.
  • Default Info Pages: Really, my biggest uncertainty about using this extension here has to do with how the default info pages are going to display on a non-WMF wiki, especially given that they don't work perfectly even on Wikimedia Incubator. What we think we'd like to see is for $wmincExistingWikis, $wmincClosedWikis and $wmincMultilingualProjects all to be empty, because at a certain level anyone can create most any WMF-style project they want here, within reason. That might very well not work, though, because then these default info pages may end up pointing either to complete nonsense Wikimedia URLs ... or else to Wikimedia URLs that are in use ... or else to nonsense Miraheze URLs. I'm just not sure. So let's start with these empty, with the understanding that if things aren't working right, I'll get back to you. (The fallback content would probably be WMF's latest up-to-date lists for the first two arrays, and what is shown on the MediaWiki page for the third one.)
  • For now, assume all of the other configuration variables would be as they appear on the MediaWiki page, including "Module" and "Module talk" in $wmincTestWikiNamespaces.

Thanks again for your help!

One other question, BTW: Can you clarify what's what with the extensions "DynamicPageList" and "DynamicPageList3"? The former is listed at the meta page "Extensions" as both "available from Special:ManageWikiExtensions" and as "Declined". We're not going to activate immediately, but would probably turn (one of these) on if someone starts a Wikinews-like project.

@StevenBird Done.

DynamicPageList is the Wikimedia version of DynamicPageList, while DynamicPageList3 is a modified version. These cannot work together, so you must choose one.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Aug 18 2018, 17:27

Fine. I'll talk to my partners about this. We're probably not going to activate either one right away.

I don't see any evidence of the WikimediaIncubator extension on-wiki yet. (Not shown in Special:Version, and none of the specific "features" I would expect to see are present yet.) If you are still waiting for me, I apologize for my confusion; I think you can go ahead with the configuration variables I've provided so far, and let's see how it works.

Videojeux4 claimed this task.Aug 21 2018, 17:47
Videojeux4 mentioned this in Unknown Object (Diffusion Commit).Aug 21 2018, 17:47
Paladox mentioned this in Unknown Object (Diffusion Commit).Aug 30 2018, 16:48
Paladox added a subscriber: Paladox.Sep 6 2018, 17:32

Hi, im wondering what do you mean by (in the second bullet point). I've enabled incubator on your wiki now [1]

[1] https://github.com/miraheze/mw-config/commit/2f0b0607195344b5cffde6bd20a6b577a06b25bf

Paladox closed this task as Resolved.Sep 6 2018, 17:36

Please add the wikimediaincubator configs to mw-config https://www.mediawiki.org/wiki/Extension:WikimediaIncubator#Configuration

StevenJ81 reopened this task as Open.Sep 6 2018, 22:08

@Paladox :

  1. I'm not quite sure what you're asking there. If you mean the second point in the initial posting, that's long since been corrected.
  2. Reopened, because these weren't added:

$wgAddGroups['bureaucrat']['test-sysop'] = true;
$wgRemoveGroups['bureaucrat']['test-sysop'] = true;

... so bureaucrats can neither add people to "test-administrator" nor remove them. And that's part of the point of "test-administrator". Thanks.

Paladox mentioned this in Unknown Object (Diffusion Commit).Sep 6 2018, 22:15
Paladox closed this task as Resolved.Sep 6 2018, 22:17

done

Thank you for your help and support. Now working through functionality. Info pages seem to be a problem—I suspected they might be—but most other things seem to be working OK. Will be back in touch after I've played with it for a while.